%define dist DBIx-ContextualFetch
Name: perl-%dist
Version: 1.02
Release: alt1

Summary: Add contextual fetches to DBI
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

BuildArch: noarch

# Added by buildreq2 on Thu Jul 14 2005
BuildRequires: perl-DBD-SQLite perl-devel

%description
It always struck me odd that DBI didn't take much advantage of Perl's
context sensitivity. DBIx::ContextualFetch redefines some of the various
fetch methods to fix this oversight. It also adds a few new methods for
convenience (though not necessarily efficiency).

%prep
%setup -q -n %dist-%version
%__subst -p s/SQLite2/SQLite/g t/*.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%dir %perl_vendor_privlib/DBIx
%dir %perl_vendor_privlib/DBIx/ContextualFetch.pm

%changelog
* Thu Jul 14 2005 Alexey Tourbin <at@altlinux.ru> 1.02-alt1
- initial revision
